Package: org.grails.encoder

## [Java] Class WriterEncodedAppender

- org.grails.encoder.WriterEncodedAppender

-     public class WriterEncodedAppender
      extends AbstractEncodedAppender

  An EncodedAppender implementation that writes to a java.io.Writer.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.Writer` | `target` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractEncodedAppender` | `ignoreEncodingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WriterEncodedAppender (java.io.Writer target)` Default constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
    `` | `public void` | `close()`
    `` | `protected EncodingState` | `createNewEncodingState(Encoder encoder, EncodingState encodingState)`
    `` | `public void` | `flush()`
    `` | `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`

- - ### Field Detail

    - #### private java.io.Writer target

  - ### Constructor Detail

    - #### public WriterEncodedAppender(java.io.Writer target)

      Default constructor.

      Parameters:
        `target` - the target writer

  - ### Method Detail

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

    - #### public void close()

    - #### @java.lang.Override protected EncodingState createNewEncodingState(Encoder encoder, EncodingState encodingState)

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)